package com.gic.haoban.manage.service.service.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanRole;

/**
 * 好办小程序权限(TabHaobanRole)表服务接口
 *
 * @author mozhu
 * @since 2022-09-06 16:35:10
 */
public interface HaobanRoleService {

    /**
     * 通过ID查询单条数据
     *
     * @param roleId 主键
     * @return 实例对象
     */
    TabHaobanRole queryById(Long roleId);

    /**
     * 新增数据
     *
     * @param tabHaobanRole 实例对象
     * @return 实例对象
     */
    TabHaobanRole insert(TabHaobanRole tabHaobanRole);

    /**
     * 修改数据
     *
     * @param tabHaobanRole 实例对象
     * @return 实例对象
     */
    TabHaobanRole update(TabHaobanRole tabHaobanRole);

    /**
     * 通过主键删除数据
     *
     * @param roleId 主键
     * @return 是否成功
     */
    boolean deleteById(Long roleId);

}
